<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class AktuellesKommentar extends Datamodul
{
  
  public $news_id;

  
  public $titel;

  
  public $inhalt;

  
  public $erstell_datum;

  
  public $erstell_uhrzeit;

  
  public $autor_id;

  
  public $autor_typ;

  
  public function setValue2Var($var, $val)
  {
    switch ($var) {  default: $this->{$var} = $val; break;  }
  }

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'erstelldatum':
      case 'erstell_datum':
        return \DatamodulVarType::TYPE_DATE;
      case 'news_id':
      case 'autor_id':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}